org.eclipse.microprofile.health.tck

## Class MultipleStartupFailedTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.health.tck.TCKBase
    - - org.eclipse.microprofile.health.tck.MultipleStartupFailedTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class MultipleStartupFailedTest
    extends TCKBase

Author:
  Martin Stefanko

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.microprofile.health.tck.TCKBase

`TCKBase.Response`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`MultipleStartupFailedTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive` `getDeployment()`
`void` `testFailingHealthResponsePayload()` Test that Health is down
`void` `testFailingStartupResponsePayload()` Test that Startup is down
`void` `testSuccessfulLivenessResponsePayload()` Test that Liveness is up
`void` `testSuccessfulReadinessResponsePayload()` Test that Readiness is up

### Methods inherited from class org.eclipse.microprofile.health.tck.TCKBase

`beforeMethod`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultipleStartupFailedTest

    public MultipleStartupFailedTest()

### Method Detail

#### getDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive getDeployment()

#### testFailingStartupResponsePayload

    @RunAsClient
    public void testFailingStartupResponsePayload()

Test that Startup is down

#### testSuccessfulLivenessResponsePayload

    @RunAsClient
    public void testSuccessfulLivenessResponsePayload()

Test that Liveness is up

#### testSuccessfulReadinessResponsePayload

    @RunAsClient
    public void testSuccessfulReadinessResponsePayload()

Test that Readiness is up

#### testFailingHealthResponsePayload

    @RunAsClient
    public void testFailingHealthResponsePayload()

Test that Health is down